Bug 771070 - Review Request: nwipe - Securely erase disks using a variety of recognized methods
Review Request: nwipe - Securely erase disks using a variety of recognized me...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-31 14:18 EST by Michal Ambroz
Modified: 2014-10-17 13:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: nwipe-0.16-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-21 16:51:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
drizt: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2011-12-31 14:18:53 EST
Spec URL: http://rebus.fedorapeople.org/SPECS/nwipe.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/nwipe-0.05-1.fc16.src.rpm  

PF 2012 , 
To the new year 2012 with a clean disk :). 

Please would you be so kind and do a formal review for this package?
The nwipe is a command that will securely erase disks using a variety of
recognized methods. It is a fork of the dwipe command used by Darik's
Boot and Nuke (dban). Nwipe was created out of need to run the DBAN dwipe
command outside of DBAN. This allows it to use any host distribution which
gives better hardware support. It is essentially the same as dwipe, with
a few changes:
- pthreads is used instead of fork
- The parted library is used to detect drives
- The code is designed to be compiled with gcc

Koji build:
rawhide - http://koji.fedoraproject.org/koji/taskinfo?taskID=3612336
f16     - http://koji.fedoraproject.org/koji/taskinfo?taskID=3612342

Best regards
Michal Ambroz
Comment 1 Ivan Romanov 2011-12-31 23:08:06 EST
Hi Michal.

I can review your package.

Add %defattr(-,root,root,-) to %files stage 

rm -rf %{buildroot} can be dropped. 
Really rpmbuild always clean %{buildroot}. So you don't need to remove it mannualy.
Comment 2 Michal Ambroz 2012-01-01 12:29:12 EST
SPEC URL: http://rebus.fedorapeople.org/SPECS/nwipe.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/nwipe-0.05-2.fc16.src.rpm  

Hi Ivan,
thank you for review. 

I have fixed the defattr and made explicit permissions for the manpage.

Build root is there for compatibility with EPEL5 - if you do not mind I would rather keep it there.

Michal Ambroz
Comment 3 Ivan Romanov 2012-01-01 12:44:24 EST
Yeah if you able to support epel 5 you must use it. Also in your case you must use %clean stage.
https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
Comment 4 Ivan Romanov 2012-01-01 12:54:05 EST
Why did you apply fsf.patch? I think it has no any sense for users and can be dropped. You should apply only those patches which have some effects for Fedora users.
Comment 5 Michal Ambroz 2012-01-01 15:44:39 EST
SPEC URL: http://rebus.fedorapeople.org/SPECS/nwipe.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/nwipe-0.05-3.fc16.src.rpm  


(In reply to comment #3)
> Also in your case you must use %clean stage.
Added - thanks for spotting.


(In reply to comment #4)
> Why did you apply fsf.patch? 
> I think it has no any sense for users and can be dropped. 
> You should apply only those patches which have some effects for Fedora
> users.
According to several discussions with Tom Spot Callaway on the list it seems that this thing is important, should be reported upstream and sooner or later fixed. 
I know having the patch is not required, but packagers are welcomed and permitted to do so. 
See his email in the legal list:
http://lists.fedoraproject.org/pipermail/legal/2011-August/001701.html

Best regards
Michal Ambroz
Comment 6 Ivan Romanov 2012-01-01 23:15:16 EST
Now package looks good. But EL5 building was failed. 
http://koji.fedoraproject.org/koji/taskinfo?taskID=3613230
I haven't any ideas 'why'.
Comment 7 Susi Lehtola 2012-01-02 10:06:23 EST
Ivan: if you are going to review this, then please set the status, assigned to and fedora-review flags accordingly.

**

The reason why the build fails is revealed from root.log:

DEBUG util.py:257:  warning: group taurus does not exist - using root
DEBUG util.py:257:  ##################################################
DEBUG util.py:257:  error: unpacking of archive failed on file /builddir/build/SOURCES/nwipe-0.05.tar.gz;4f012b0b: cpio: MD5 sum mismatch

I guess this is because new versions of rpm use sha1 sums instead of md5 sums, so the srpm should be created with md5 checksum.
Comment 8 Ivan Romanov 2012-01-02 10:32:24 EST
Hm ... how do I make such rpm?
Comment 9 Ivan Romanov 2012-01-03 06:54:49 EST
Your package hasn't Group field. You must add it.
Comment 10 Michal Ambroz 2012-01-05 19:08:29 EST
SPEC URL: http://rebus.fedorapeople.org/SPECS/nwipe.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/nwipe-0.06-1.fc16.src.rpm 

Hello,
Group field added, Any incorporated FSF address patch and manpage to the upstream package.

I have tried building and run on EL5 and it works fine. 
There is just problem with compatibility if you use srpm from F16 the MD5 signature wont work.

Try rpmbuild --nomd5 --nosignature --rebuild http://rebus.fedorapeople.org/SRPMS/nwipe-0.06-1.fc16.src.rpm

See here http://koji.fedoraproject.org/koji/taskinfo?taskID=3623485
srpm for this build was created on EL5 so it works fine for the scratchbuild

Best regards
Michal Ambroz
Comment 11 Ivan Romanov 2012-01-05 22:56:00 EST
Did you increase the version? Add this to changelog too.
Comment 12 Michal Ambroz 2012-01-06 12:07:23 EST
Hello Ivan,

(In reply to comment #11)
> Did you increase the version? Add this to changelog too.
I am not quite sure what you mean? 
Yes I used new version. 
Yes it is in the change log of the SPEC file:
* Thu Jan 05 2012 Michal Ambroz <rebus at, seznam.cz> 0.06-1
- added Group field
- FSF address and manpage was fixed upstream

Best regards
Michal Ambroz
Comment 13 Ivan Romanov 2012-01-06 12:50:05 EST
* Thu Jan 05 2012 Michal Ambroz <rebus at, seznam.cz> 0.06-1
- added Group field
- FSF address and manpage was fixed upstream
- updated to nwipe 0.06

I looked at last .spec and not immediately understood that you upgrade app. 
When you update program version you should note it in changelog.
Comment 14 Michal Ambroz 2012-01-06 14:17:09 EST
Will do ... please do you have got some more blocking comments?
Comment 15 Ivan Romanov 2012-01-06 14:26:09 EST
I don't yet do a formal review. But now I can start.
Comment 16 Michal Ambroz 2012-01-06 17:09:08 EST
SPEC URL: http://rebus.fedorapeople.org/SPECS/nwipe.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/nwipe-0.06-2.fc16.src.rpm 

Hello, 
I have added the recommended comment to change log. 
The 0.06-2 also contains redownloaded source tarball - original upload from Andy contained binaries so it was re-released today.

Michal Ambroz
Comment 17 Ivan Romanov 2012-01-06 21:55:22 EST
good.
Comment 18 Ivan Romanov 2012-01-09 10:22:56 EST
rpmlint output for all packages

$ rpmlint /home/taurus/rpmbuild/SRPMS/nwipe-0.06-2.fc15.src.rpm /home/taurus/rpmbuild/RPMS/i686/nwipe-0.06-2.fc15.i686.rpm /home/taurus/rpmbuild/RPMS/i686/nwipe-debuginfo-0.06-2.fc15.i686.rpm
nwipe.src: W: spelling-error %description -l en_US dwipe -> swipe, wipe, wiped
nwipe.src: W: spelling-error %description -l en_US dban -> ban, band, dean
nwipe.src: W: spelling-error %description -l en_US pthreads -> threads, p threads, thread
nwipe.src: W: spelling-error %description -l en_US gcc -> cc, g cc
nwipe.i686: W: spelling-error %description -l en_US dwipe -> swipe, wipe, wiped
nwipe.i686: W: spelling-error %description -l en_US dban -> ban, band, dean
nwipe.i686: W: spelling-error %description -l en_US pthreads -> threads, p threads, thread
nwipe.i686: W: spelling-error %description -l en_US gcc -> cc, g cc
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 19 Michal Ambroz 2012-01-09 16:03:40 EST
False positives - thee are not spelling errors. I can change dban to DBAN to avoid one of those if you want.
Comment 20 Ivan Romanov 2012-01-09 22:57:29 EST
All is OK. It's normal output. I posted this becouse it MUST be posted. See http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
Comment 21 Ivan Romanov 2012-01-10 09:17:58 EST
+ OK
/ Not applicable

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines .
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines .
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license. 
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English. 
[+] MUST: The spec file for the package MUST be legible. 
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
[/] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[+] MUST: Packages must NOT bundle copies of system libraries.
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[+] MUST: Each package must consistently use macros. 
[+] MUST: The package must contain code, or permissable content. 
[/] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
[/] MUST: Header files must be in a -devel package. 
[/] MUST: Static libraries must be in a -static package. 
[/] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8. 

[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[+] SHOULD: The reviewer should test that the package builds in mock. 
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures. 
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
[/] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
[/] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. 
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

I approve this package.
Now you need to create a 'New Package SCM Request'.
Comment 22 Michal Ambroz 2012-01-15 16:47:34 EST
New Package SCM Request
=======================
Package Name: nwipe
Short Description: Securely erase disks using a variety of recognized methods
Owners: rebus
Branches: f17 f16 el6 el5 el4
Comment 23 Gwyn Ciesla 2012-01-15 17:24:26 EST
Git done (by process-git-requests).

Ivan, please take ownership of review BZs.

Michal, since we're not branched yet, you don't need to request f17 as it
==devel.  Also, be aware that EL-4 is nearly EOL.

Thanks!
Comment 24 Fedora Update System 2012-01-15 20:38:37 EST
nwipe-0.06-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nwipe-0.06-2.el6
Comment 25 Fedora Update System 2012-01-15 20:38:46 EST
nwipe-0.06-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/nwipe-0.06-2.el4
Comment 26 Fedora Update System 2012-01-15 20:38:54 EST
nwipe-0.06-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nwipe-0.06-2.fc16
Comment 27 Fedora Update System 2012-01-15 20:39:02 EST
nwipe-0.06-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nwipe-0.06-2.el5
Comment 28 Michal Ambroz 2012-01-15 20:40:20 EST
Thank you Ivan, Jon.
Comment 29 Ivan Romanov 2012-01-16 11:21:22 EST
Michal. 

Can I ask you to review my package? 

Bug 709328 - Review Request: psi-plus - Jabber client based on Qt
https://bugzilla.redhat.com/show_bug.cgi?id=709328
Comment 30 Fedora Update System 2012-01-16 14:31:16 EST
nwipe-0.06-2.el4 has been pushed to the Fedora EPEL 4 testing repository.
Comment 31 Fedora Update System 2012-01-21 16:51:37 EST
nwipe-0.06-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 32 Fedora Update System 2012-02-01 10:36:10 EST
nwipe-0.06-2.el4 has been pushed to the Fedora EPEL 4 stable repository.
Comment 33 Fedora Update System 2012-02-01 10:36:36 EST
nwipe-0.06-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 34 Fedora Update System 2012-02-01 10:36:44 EST
nwipe-0.06-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 35 Michal Ambroz 2014-09-23 13:54:57 EDT
Package Change Request
======================
Package Name: nwipe
New Branches: epel7
Owners: rebus

Hello SCM team,
plase can you add epel7 branch for the nwipe package?
Thank you
Michal Ambroz
Comment 36 Gwyn Ciesla 2014-09-23 15:18:32 EDT
Git done (by process-git-requests).
Comment 37 Fedora Update System 2014-09-24 04:20:42 EDT
nwipe-0.16-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nwipe-0.16-1.el7
Comment 38 Fedora Update System 2014-10-17 13:36:43 EDT
nwipe-0.16-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.